# Code Nov 20 2020

rm(list = ls())

library(readr)
Tissue <- read_csv("OsHV1_qPCR_Tissue.csv")

Tissue$Virus <- factor(Tissue$Virus, levels = c("CON", "CA", "AUS", "FRA"))
Tissue$Family <- as.factor(Tissue$Family)
Tissue$Day <- as.factor(Tissue$Day)

Tissue$LogData <- log10(Tissue$PerPlate+1)
head(Tissue)

non.p.family <- kruskal.test(LogData ~ Family, data=Tissue)
non.p.family
#family is not significant
#chi-squared=6.673, df=4, p-value=0.1542

non.p.virus <- kruskal.test(LogData ~Virus, data=Tissue)
non.p.virus#Virus is significant
#chi-squared=90.789, df=3, p<2.2e-16

non.p.day <-kruskal.test(LogData ~Day, data=Tissue)
non.p.day
#Day is not significant
#Chi-Aquared=1.1398, df=1, p-value=0.2857

source("http://www.statmethods.net/RiA/wmc.txt")

wmc(LogData ~Virus, data=Tissue, method="holm")

###

##Group.1 Group.2     W            p    
##1     CON      CA 392.5 4.328365e-01    
##2     CON     AUS   0.0 3.259540e-10 ***
##3     CON     FRA   0.0 2.443039e-10 ***
##4      CA     AUS  13.0 3.259540e-10 ***
##5      CA     FRA   0.0 6.043406e-11 ***
##6     AUS     FRA 224.0 4.698868e-03  **

