#updated Dec 8 2020

rm(list=ls())

library(readxl)
OsHV1_water_qPCR <- read_excel("OsHV1_water_qPCR.xlsx")
head(OsHV1_water_qPCR)
attach(OsHV1_water_qPCR)

Water <- OsHV1_water_qPCR

Water$Virus <- factor(Water$Virus, levels = c("CA", "AUS", "FRA"))
Water$Family <- as.factor(Water$Family)
Water$Day <- as.factor(Water$Day)

head(Water)

# Run the stats

library(AICcmodavg)
library(MuMIn)
library(Rmisc)
library(ggplot2)
library(ggpubr)

Water$LogData <- log10(Water$PerDish + 1)

head(Water)

fit1 <- lm(LogData ~Virus*Family*Day, data=Water, na.action = na.fail)

dredge(fit1)

fitW <- lm(LogData ~Virus + Family + Day +Day*Virus, data=Water)

plot(resid(fitW))
qqnorm(resid(fitW))
qqline(resid(fitW))

summary(fitW)

fit4water <- aov(fitW)
summary(fit4water)

tukey.test <- TukeyHSD(fit4water)
tukey.test

